Page MenuHomePhabricator

Remove classic edit toolbar support from ProofreadPage
Closed, ResolvedPublic

Description

The classic edit toolbar is being removed from MediaWiki core and Wikimedia sites (see T30856). We should clean ProofreadPage from code related to this toolbar.

Event Timeline

Tpt created this task.Oct 25 2018, 8:09 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 25 2018, 8:09 PM
Tpt updated the task description. (Show Details)Oct 25 2018, 8:09 PM

Change 469710 had a related patch set uploaded (by Jforrester; owner: Jforrester):
[mediawiki/extensions/ProofreadPage@master] Drop support for MediaWiki core's removed "2006 wikitext editor"

https://gerrit.wikimedia.org/r/469710

Ankry added a subscriber: Ankry.Oct 29 2018, 12:57 PM

@Tpt: Any hints how ProofredPage buttons can be integrated with old toolbar recreated as a gadget?
It seems to me that T30856#4702336 suggests the need of another gadget for this purpose.

Change 469710 merged by jenkins-bot:
[mediawiki/extensions/ProofreadPage@master] Drop support for MediaWiki core's removed "2006 wikitext editor"

https://gerrit.wikimedia.org/r/469710

Jdforrester-WMF closed this task as Resolved.Nov 5 2018, 6:40 PM
Jdforrester-WMF removed a project: Patch-For-Review.